com.sun.jna.platform.win32

## Class Secur32Util

- java.lang.Object
- - com.sun.jna.platform.win32.Secur32Util

-     public abstract class Secur32Util
      extends java.lang.Object

  Secur32 Utility API.
  Author:
    dblock[at]dblock.org

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Secur32Util.SecurityPackage` An SSPI package.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Secur32Util()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Secur32Util.SecurityPackage[]` | `getSecurityPackages()` Get the security packages installed on the current computer.
    `static java.lang.String` | `getUserNameEx(int format)` Retrieves the name of the user or other security principal associated with the calling thread.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Secur32Util

          public Secur32Util()

  - ### Method Detail

    - #### getUserNameEx

          public static java.lang.String getUserNameEx(int format)

      Retrieves the name of the user or other security principal associated with the calling thread.
      Parameters:
        `format` - User name format.
      Returns:
        User name in a given format.

    - #### getSecurityPackages

          public static Secur32Util.SecurityPackage[] getSecurityPackages()

      Get the security packages installed on the current computer.
      Returns:
        An array of SSPI security packages.

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.